SageTV Community

SageTV Community (http://forums.sagetv.com/forums/index.php)
-   SageTV Studio (http://forums.sagetv.com/forums/forumdisplay.php?f=34)
-   -   Load custom Jar (http://forums.sagetv.com/forums/showthread.php?t=63503)

CollegeProject 09-16-2016 11:44 AM

Load custom Jar
 
Is a plugin required to load a custom class or does just putting in the JARs folder and restarting the service get it loaded?

stuckless 09-16-2016 12:25 PM

Quote:

Originally Posted by CollegeProject (Post 592746)
Is a plugin required to load a custom class or does just putting in the JARs folder and restarting the service get it loaded?

Adding jar to JARs folder is all that is needed for sagetv to know about it

CollegeProject 09-16-2016 12:53 PM

That's what I thought it appears my issue is with eclipse. The jar is exporting ok but for some reason it isn't putting my class's under their package if I inspect the Jar file.

Anyone familiar with why Eclipse would do this and how to stop it from doing it?

CollegeProject 09-16-2016 01:36 PM

Ok I switched to netbeans which I know better and the jar is compiling correctly now however I am still unable to make the call from within the STV. The log shows the jar in classes that are loaded but when I try and make a call I get

Quote:

Fri 9/16 14:33:35.248 [AWT-EventQueue-0@1d4f279] Catbert Method Lookup Failure for:SCP_MediaCalls_GetAllTVFiles
Fri 9/16 14:33:35.256 [AWT-EventQueue-0@1d4f279] java.lang.UnsupportedClassVersionError: SCP/MediaCalls : Unsupported major.minor version 52.0
Fri 9/16 14:33:35.258 [AWT-EventQueue-0@1d4f279] Parsing Error: Unexpected ")" at column 30.

It's odd because I believe I am calling it right

Code:

package_class_method()

stuckless 09-16-2016 01:42 PM

So... nothing wrong with your IDE... but the UnussportedClassVersion error should give a clue... My guess is you are building with Java 8 but deploying to Java 7... so either make both java 7 or both java 8 ;)

CollegeProject 09-16-2016 01:44 PM

Quote:

Originally Posted by stuckless (Post 592757)
So... nothing wrong with your IDE... but the UnussportedClassVersion error should give a clue... My guess is you are building with Java 8 but deploying to Java 7... so either make both java 7 or both java 8 ;)

Ya I guessed that and you are correct I could have sworn I had it set to 1.7 thanks!!


All times are GMT -6. The time now is 07:39 PM.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2021, vBulletin Solutions Inc.
Copyright 2003-2005 SageTV, LLC. All rights reserved.